Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Class Program.Location

    java.lang.Object
      avrora.core.Program.Location

Direct Known Subclasses:
  Program.DataLabel, Program.EEPromLabel, Program.ProgramLabel

Enclosing class:
  Program

public class Program.Location
extends java.lang.Object

The `Location` class represents a location in the program; either named by a label, or an unnamed integer address. The location may refer to any of the code, data, or eeprom segments.

Field Summary
`int` | `address` The `address` field records the address of this label as a byte address.
`java.lang.String` | `name` The `name` field records the name of this label.

Method Summary
`boolean` | `equals(java.lang.Object o)` The `equals()` method compares this location against another object.
`int` | `hashCode()` The `hashCode()` method computes the hash code of this location so that it can be used in any of the standard collection libraries.
`boolean` | `isDataSegment()` The `isDataSegment()` method returns whether this label refers to the data segment.
`boolean` | `isEEPromSegment()` The `isEEPromSegment()` method returns whether this label refers to the eeprom segment.
`boolean` | `isProgramSegment()` The `isProgramSegment()` method returns whether this label refers to the program segment.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    public final int address

  The `address` field records the address of this label as a byte address.

### name

    public final java.lang.String name

  The `name` field records the name of this label.

Method Detail

### hashCode

    public int hashCode()

  The `hashCode()` method computes the hash code of this location so that it can be used in any of the standard collection libraries.

  Returns:
    an integer value that represents the hash code

### equals

    public boolean equals(java.lang.Object o)

  The `equals()` method compares this location against another object. It will return true if and only if the specified object is an instance of `Location`, the addresses match, and the names match.

  Parameters:
    `o` - the other object to test this location for equality
  Returns:
    true if the other object is equal to this label; false otherwise

### isProgramSegment

    public boolean isProgramSegment()

  The `isProgramSegment()` method returns whether this label refers to the program segment.

  Returns:
    true if this label refers to the program segment; false otherwise

### isDataSegment

    public boolean isDataSegment()

  The `isDataSegment()` method returns whether this label refers to the data segment.

  Returns:
    true if this label refers to the data segment; false otherwise

### isEEPromSegment

    public boolean isEEPromSegment()

  The `isEEPromSegment()` method returns whether this label refers to the eeprom segment.

  Returns:
    true if this label refers to the eeprom segment; false otherwise

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD